This is an automated email from the git hooks/post-receive script.

malex-guest pushed a commit to branch master
in repository pycorrfit.

commit d6941de97bead66930d118f30cd007ca8ac74b1c
Author: Alexandre Mestiashvili <[email protected]>
Date:   Thu Oct 22 16:45:09 2015 +0200

    d/changelog: new upstream version
    d/control: add python-pytest dependency
     and enable autopkgtest
    d/tests/control: tests control file
    d/tests/pycorrfit-tests: tests launcher
---
 debian/changelog             |  6 ++++++
 debian/control               |  4 +++-
 debian/tests/control         |  2 ++
 debian/tests/pycorrfit-tests | 11 +++++++++++
 4 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index f8c90b1..cca44f6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+pycorrfit (0.9.1+dfsg-1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+
+ -- Alexandre Mestiashvili <[email protected]>  Thu, 22 Oct 2015 
16:33:02 +0200
+
 pycorrfit (0.8.8+dfsg-1) unstable; urgency=medium
 
   * d/control: add new Build-Dependencies, set Architecture to any
diff --git a/debian/control b/debian/control
index 3c7a39f..ac3b718 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Maintainer: Debian Med Packaging Team 
<[email protected].
 Uploaders: Alexandre Mestiashvili <[email protected]>,
            Andreas Tille <[email protected]>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: python-all,
                debhelper (>= 9),
@@ -18,7 +19,8 @@ Build-Depends: python-all,
                librsvg2-bin,
                cython,
                python-numpy,
-               libpython2.7-dev
+               libpython2.7-dev,
+               python-pytest
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pycorrfit.git
 Vcs-Git: git://anonscm.debian.org/debian-med/pycorrfit.git
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..f504ab4
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: pycorrfit-tests
+Restrictions: allow-stderr
diff --git a/debian/tests/pycorrfit-tests b/debian/tests/pycorrfit-tests
new file mode 100644
index 0000000..2ea0489
--- /dev/null
+++ b/debian/tests/pycorrfit-tests
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+#test if py.test is installed
+type /usr/bin/py.test >/dev/null 2>&1 || { echo >&2 "py.test from 
python-pytest is missing.  Aborting"; exit 1; }
+
+#generate runtests.py:
+/usr/bin/py.test --genscript=tests/runtests.py
+
+#run it 
+echo "starting tests"
+/usr/bin/python tests/runtests.py

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/debian-med/pycorrfit.git

_______________________________________________
debian-med-commit mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-commit

Reply via email to